#include "TagFloat.h"

#include <QtEndian>
#include <QtCore/QDataStream>

TagFloat::TagFloat (const float value) : AbstractNamedTag(ID), m_value(value) {}

const float TagFloat::value () const {
    return m_value;
}

void TagFloat::readPayloadFromData (QDataStream &data) {
    data >> m_value;
    m_value = qFromBigEndian(m_value);
}
void TagFloat::writePayloadToData (QDataStream &data) const {
    data << qToBigEndian(m_value);
}